TIFFTagSet (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.imageio.plugins.tiff, class: TIFFTagSet
Keywords: javax.imageio.plugins.tiff.TIFFTagSet class

# Class TIFFTagSet

java.lang.Object
javax.imageio.plugins.tiff.TIFFTagSet

Direct Known Subclasses:
  `BaselineTIFFTagSet, ExifGPSTagSet, ExifInteroperabilityTagSet, ExifParentTIFFTagSet, ExifTIFFTagSet, FaxTIFFTagSet, GeoTIFFTagSet`

public class TIFFTagSet extends Object
A class representing a set of TIFF tags. Each tag in the set must have a unique number (this is a limitation of the TIFF specification itself).

This class and its subclasses are responsible for mapping between raw tag numbers and `TIFFTag` objects, which contain additional information about each tag, such as the tag's name, legal data types, and mnemonic names for some or all of its data values.

Since:
  9
See Also:
  - `TIFFTag`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TIFFTagSet(List<TIFFTag> tags)`
  Constructs a `TIFFTagSet`, given a `List` of `TIFFTag` objects.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TIFFTag`
  `getTag(int tagNumber)`
  Returns the `TIFFTag` from this set that is associated with the given tag number, or `null` if no tag exists for that number.
  `TIFFTag`
  `getTag(String tagName)`
  Returns the `TIFFTag` having the given tag name, or `null` if the named tag does not belong to this tag set.
  `SortedSet<String>`
  `getTagNames()`
  Retrieves an unmodifiable lexicographically increasing set of tag names.
  `SortedSet<Integer>`
  `getTagNumbers()`
  Retrieves an unmodifiable numerically increasing set of tag numbers.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### TIFFTagSet

    public TIFFTagSet(List<TIFFTag> tags)
    Constructs a `TIFFTagSet`, given a `List` of `TIFFTag` objects.
    Parameters:
      `tags` - a `List` object containing `TIFFTag` objects to be added to this tag set.
    Throws:
      `IllegalArgumentException` - if `tags` is `null`, or contains objects that are not instances of the `TIFFTag` class.

- ## Method Details

  - ### getTag

    public TIFFTag getTag(int tagNumber)
    Returns the `TIFFTag` from this set that is associated with the given tag number, or `null` if no tag exists for that number.
    Parameters:
      `tagNumber` - the number of the tag to be retrieved.
    Returns:
      the numbered `TIFFTag`, or `null`.

  - ### getTag

    public TIFFTag getTag(String tagName)
    Returns the `TIFFTag` having the given tag name, or `null` if the named tag does not belong to this tag set.
    Parameters:
      `tagName` - the name of the tag to be retrieved, as a `String`.
    Returns:
      the named `TIFFTag`, or `null`.
    Throws:
      `IllegalArgumentException` - if `tagName` is `null`.

  - ### getTagNumbers

    public SortedSet<Integer> getTagNumbers()
    Retrieves an unmodifiable numerically increasing set of tag numbers.

    The returned object is unmodifiable and contains the tag numbers of all `TIFFTag`s in this `TIFFTagSet` sorted into ascending order according to `Comparable.compareTo(Object)`.

    Returns:
      All tag numbers in this set.

  - ### getTagNames

    public SortedSet<String> getTagNames()
    Retrieves an unmodifiable lexicographically increasing set of tag names.

    The returned object is unmodifiable and contains the tag names of all `TIFFTag`s in this `TIFFTagSet` sorted into ascending order according to `Comparable.compareTo(Object)`.

    Returns:
      All tag names in this set.